## com.sun.grizzly.util
Class ConcurrentLinkedQueuePool<E>

    java.lang.Object
      com.sun.grizzly.util.ConcurrentLinkedQueuePool<E>

All Implemented Interfaces:
  ObjectPool<E>

Direct Known Subclasses:
  ContextTask.TaskPool

    public abstract class ConcurrentLinkedQueuePool<E>

extends Object
implements ObjectPool<E>

`ObjectPool` implementation based on `ConcurrentLinkedQueue`

Author:
  Alexey Stashok

Constructor Summary
`ConcurrentLinkedQueuePool()`

Method Summary
`abstract E` `newInstance()`
`void` `offer(E object)`
`E` `poll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentLinkedQueuePool

    public ConcurrentLinkedQueuePool()

Method Detail

### newInstance

    public abstract E newInstance()

### poll

    public E poll()

  Specified by:
    `poll` in interface `ObjectPool<E>`

### offer

    public void offer(E object)

  Specified by:
    `offer` in interface `ObjectPool<E>`

Copyright © 2008 SUN Microsystems. All Rights Reserved.